# TODO: matlab (octave?)
Summary:	Library for parsing LIGO_LW Table files
Summary(pl.UTF-8):	Biblioteka do analizy plików tablic LIGO_LW
Name:		metaio
Version:	8.4.0
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://software.ligo.org/lscsoft/source/%{name}-%{version}.tar.gz
# Source0-md5:	65661cfb47643623bc8cbe97ddbe7b91
Patch0:		format-security.patch
Patch1:		missing-types.patch
URL:		https://www.lsc-group.phys.uwm.edu/daswg/projects/metaio.html
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	zlib-devel >= 1.2
Requires:	zlib >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a library for parsing LIGO_LW Table files, plus
several C programs based on the library. The metiao library can read
XML files compressed with the gzip compression algorithm.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę do analizy plików tablic LIGO_LW oraz
kilka programów w C opartych na tej bibliotece. Biblioteka metaio
potrafi czytać pliki XML skompresowane algorytmem gzip.

%package devel
Summary:	Header files for metaio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki metaio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for metaio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki metaio.

%package static
Summary:	Static metaio library
Summary(pl.UTF-8):	Statyczna biblioteka metaio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static metaio library.

%description static -l pl.UTF-8
Statyczna biblioteka metaio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I gnuscripts
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmetaio.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS HISTORY README
%attr(755,root,root) %{_bindir}/_getMetaLoopHelper
%attr(755,root,root) %{_bindir}/concatMeta
%attr(755,root,root) %{_bindir}/lwtcut
%attr(755,root,root) %{_bindir}/lwtdiff
%attr(755,root,root) %{_bindir}/lwtprint
%attr(755,root,root) %{_bindir}/lwtscan
%attr(755,root,root) %{_bindir}/lwtselect
%attr(755,root,root) %{_libdir}/libmetaio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmetaio.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmetaio.so
%{_includedir}/ligo_lw_header.h
%{_includedir}/metaio.h
%{_pkgconfigdir}/libmetaio.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmetaio.a
%changelog
* Sun Nov 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/metaio.git;a=log;h=master

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> d102374
- public header is missing type defs, add them
- rel 2

* Sat Jul 01 2017 Jakub Bogusz <qboosh@pld-linux.org> af40f65
- removed obsolete information regarding Tcl scripts

* Sat Jul 01 2017 Jakub Bogusz <qboosh@pld-linux.org> f8e77ca
- updated to 8.4.0
- updated format-security patch (one part obsolete)
- drop .la file

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> b90d4cb
- release 2 (by relup.sh)

* Sat Jan 18 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8f6bc9a
- up to 8.3.0
- added format-security.patch

* Sat Jan 18 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 40e95ce
- compilation fixes

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 330f984
- BR: autoconf, automake, libtool

* Thu Jul 01 2010 Zsolt Udvari <uzsolt@pld-linux.org> c3ca805
- rel 1

* Thu Jul 01 2010 Zsolt Udvari <uzsolt@pld-linux.org> 3c751da
- initial

